package hello;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.concurrent.atomic.AtomicLong;

@RestController
public class GreetingController {

    private final AtomicLong counter = new AtomicLong();
    private static final String template = "Hello, %s!";
    @RequestMapping("/greeting")
    public main.java.hello.Greeting greeting(@RequestParam(value="name", defaultValue="World") String name) {

        return new main.java.hello.Greeting(counter.incrementAndGet(),
                String.format(template, name));

    }
}